Skip to main content
PATCH
/
api
/
integrations
/
{id}
Update an integration
curl --request PATCH \
  --url https://clarus-api.com/api/integrations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "integrations",
    "attributes": {
      "name": "<string>",
      "is_active": true,
      "configuration": {},
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "integrations",
    "attributes": {
      "name": "<string>",
      "is_active": true,
      "account_id": 123,
      "warehouse_id": 123,
      "configuration": {},
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}

Request Structure

{
  "data": {
    "type": "integrations",
    "attributes": {
      "name": "Shopify Store - Updated",
      "is_active": false,
      "configuration": {
        "api_key": "new-api-key"
      }
    }
  }
}

Key Fields

FieldRequiredDescription
nameNoUpdated integration name
is_activeNoEnable/disable integration
configurationNoUpdated configuration settings

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the integration to update

Body

application/json
data
object
required

Response

Integration updated successfully

data
object